DRAGONX-TX(1)

NAME
dragonx-tx - manual page for dragonx-tx v1.3.0

DESCRIPTION
hush-tx utility version v1.3.0-af7d9e230

  Usage:

hush-tx [options] <hex-tx> [commands]
    Update hex-encoded Hush transaction

hush-tx [options] -create [commands]
    Create hex-encoded Hush transaction

OPTIONS

-?

    This help message

-create

    Create new, empty TX.

-json

    Select JSON output

-txid

    Output only the hex-encoded transaction id of the resultant transaction.

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly.

-testnet

    Use the test network

Commands:

    delin=N

    Delete input N from TX

    delout=N

    Delete output N from TX

    in=TXID:VOUT(:SEQUENCE_NUMBER)

    Add input to TX

    locktime=N

    Set TX lock time to N

    nversion=N

    Set TX version to N

    outaddr=VALUE:ADDRESS

    Add address-based output to TX

    outscript=VALUE:SCRIPT

    Add raw script output to TX

    sign=HEIGHT:SIGHASH-FLAGS

    Add zero or more signatures to transaction. This command requires JSON registers:prevtxs=JSON object, privatekeys=JSON object. See signrawtransaction docs for format of sighash flags, JSON objects.

Register Commands:

    load=NAME:FILENAME

    Load JSON file FILENAME into register NAME

    set=NAME:JSON-STRING

    Set register NAME to given JSON-STRING

COPYRIGHT
In order to ensure you are adequately protecting your privacy when using DragonX, please see <https://dragonx.is/security/>. Copyright (C) 2024-2026 The DragonX Developers Copyright (C) 2016-2024 Duke Leto and The Hush Developers Copyright (C) 2016-2020 jl777 and SuperNET developers Copyright (C) 2016-2018 The Zcash developers Copyright (C) 2009-2014 The Bitcoin Core developers This is experimental Free Software! Fuck Yeah!!!!! Distributed under the GPLv3 software license, see the accompanying file COPYING or <https://www.gnu.org/licenses/gpl-3.0.en.html>.